%hashed_background {
  background-size: 8px 8px;
  background-image: linear-gradient(
      135deg,
      transparent,
      transparent 5px,
      var(--state-color-mute) 5px,
      var(--state-color-mute) 6px,
      transparent 6px,
      transparent 100%
  );
}

.-doc{
  &-spacer {
    @extend %hashed_background;

    background-color: var(--state-color-mute-alt);
    box-shadow: 0 1px 0 0 currentcolor, 0 -1px 0 0 currentcolor;
  }

  @each $height in (100, 200) {
    &-doc-h#{$height} {
      height: #{$height}px;
      overflow-y: auto;
    }
  }

  &-outline {
    box-shadow: inset 0 0 0 1px #D97400;

    &--alt {
      box-shadow: inset 0 0 0 1px #D90074;
    }

    &--hashed-bg {
      @extend %hashed_background;

      box-shadow: 0 0 0 1px var(--state-color-mute);
      padding: 0;

      // Hack to handle contained elements margins
      overflow: auto;
    }
  }
}
